Skip to content

Pack

All operations require authentication.

8 operationsv1/pack/siptrunk · /pack/xdsl
Agent setup

List available servicesProduction

GET
/1.0/pack/siptrunk

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/pack/siptrunk \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get this object propertiesProduction

GET
/1.0/pack/siptrunk/{packName}

Path parameters

packName
required
string

The internal name of your pack

Response

200PackSipTrunkWithIAMsuccessful operation
iam
read-only
ResourceMetadata

IAM resource metadata

packName
read-only
string

Name of the SIP trunk pack

Example uses packName = string

$ curl https://api.eu.ovhcloud.com/1.0/pack/siptrunk/{packName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "packName": "string"}

Change service contactsProduction

POST
/1.0/pack/siptrunk/{packName}/changeContact

Change service contacts. Starts a procedure to change the admin, tech or billing contact of the service.

Path parameters

packName
required
string

The internal name of your pack

Request body (required)

contactAdmin
string

The contact to set as admin contact

contactBilling
string

The contact to set as billing contact

contactTech
string

The contact to set as tech contact

Response

200integer[]successful operation

Example uses packName = string

$ curl https://api.eu.ovhcloud.com/1.0/pack/siptrunk/{packName}/changeContact \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get service informationProduction

GET
/1.0/pack/siptrunk/{packName}/serviceInfos

Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.

Path parameters

packName
required
string

The internal name of your pack

Response

200Servicesuccessful operation
canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Example uses packName = string

$ curl https://api.eu.ovhcloud.com/1.0/pack/siptrunk/{packName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}

Update service informationProduction

PUT
/1.0/pack/siptrunk/{packName}/serviceInfos

Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.

Path parameters

packName
required
string

The internal name of your pack

Request body (required)

canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Response

200—successful operation

Example uses packName = string

$ curl https://api.eu.ovhcloud.com/1.0/pack/siptrunk/{packName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"

List xDSL packsProduction

GET
/1.0/pack/xdsl

List xDSL packs. Returns the names of the xDSL packs of the account. Each name is the packName used by the other pack calls.

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/pack/xdsl \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get an xDSL packProduction

GET
/1.0/pack/xdsl/{packName}

Get an xDSL pack. Returns the pack name, its offer description and price, the customer description and the pack capabilities.

Path parameters

packName
required
string

The internal name of your pack

Response

200PackAdslWithIAMsuccessful operation
capabilities
read-only
PackCapabilities

Capabilities of the pack

description
string

Customer pack description

iam
read-only
ResourceMetadata

IAM resource metadata

offerDescription
read-only
string

Name of the offer

offerPrice
read-only
Price

Price of the offer

packName
read-only
string

Name of the xdsl pack

Example uses packName = string

$ curl https://api.eu.ovhcloud.com/1.0/pack/xdsl/{packName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "capabilities": { "canChangeOffer": true, "canMoveAddress": true, "isLegacyOffer": true, "isResellerOffer": true }, "description": "string", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "offerDescription": "string", "offerPrice": { "currencyCode": "AUD", "text": "string", "value": 0 }, "packName": "string"}

Update an xDSL packProduction

PUT
/1.0/pack/xdsl/{packName}

Update an xDSL pack. Changes the settings that can be modified: the customer description of the pack.

Path parameters

packName
required
string

The internal name of your pack

Request body (required)

capabilities
read-only
PackCapabilities

Capabilities of the pack

description
string

Customer pack description

offerDescription
read-only
string

Name of the offer

offerPrice
read-only
Price

Price of the offer

packName
read-only
string

Name of the xdsl pack

Response

200—successful operation

Example uses packName = string

$ curl https://api.eu.ovhcloud.com/1.0/pack/xdsl/{packName} \
  -H "authorization: Bearer $OVH_TOKEN"